User:Treehill/monobook.css

@import "http://fr.wikipedia.org/w/index.php?title=Utilisateur:Treehill/monobook.css&action=raw&ctype=text/css"; /* Changer la couleur de fond

@import "http://fr.wikipedia.org/w/index.php?title=Utilisateur:Treehill/monobook.css&action=raw&ctype=text/css";
/* Changer la couleur de fond des articles */
.ns-0 * #content, .ns-0 * #p-cactions li, .ns-0 * #p-cactions li a {
  background:#ECECEC; /* couleur blanche comme cette page */
}
/* Afficher les liens déjà visités en vert */
a:visited {
  color:green;
 
 
 
function OptimizedSuivi() 
{
        if (document.URL.indexOf("http://fr.wikipedia.org/wiki/Special:Watchlist")==0 ||
        document.URL.indexOf("http://fr.wikipedia.org/w/index.php?title=Special:Watchlist")==0 ){
 
                var allDays = document.getElementsByTagName("ul");
 
                for (i=0; i<allDays.length; i++) {
                        if (allDays[i].getAttribute("class") == "special") {
 
                                var artList = allDays[i].getElementsByTagName("li");
                                for (j=0; j<artList.length; j++) {
                                        var elem = artList[j];
                                        var aTag = elem.getElementsByTagName("a");
                                        var articleName = aTag[0].getAttribute("title");
                                        var stopWatch  = "/w/index.php?title=" + articleName + "&action=unwatch"
 
                                        var newElement = document.createElement("a");
                                        newElement.setAttribute("href",stopWatch);
                                        var newText = document.createTextNode("stop");
                                        newElement.appendChild(newText);
 
                                        var newPar = document.createTextNode(") (")
                                        // séparation des cas (nouvel article, ou déjà existant)
                                        if (aTag[0].childNodes[0].data == "diff") {
                                                insertAfter(elem, newPar, aTag[1]); 
                                        } else {
                                                insertAfter(elem, newPar, aTag[0]); 
                                        }
 
                                        insertAfter(elem, newElement, newPar);
                                }       
                        }
                }
        }
}
 
addLoadEvent(OptimizedSuivi);
 
 
function editerPremierParagraphe() {
  var modif = document.getElementById("ca-edit").getElementsByTagName("a");
  if (modif.length <= 0) return;
  var url = modif[0].href;
  var a = document.getElementById("p-cactions");
  if (a) {
    b = a.getElementsByTagName("ul");
    if(b.length > 0) {
      b[0].innerHTML = b[0].innerHTML
      + '<li><a href="' + url + '&section=0">modifier 1er paragraphe</a></li>';  
    }
  }
}
 
addLoadEvent(editerPremierParagraphe);
 
p.catlinks {
  font-family:Arial;
  font-size:100 %;
  line-height: 1.5em;
  text-align:center;
  text-indent:0;
  text-transform: none;
  white-space:normal;
  margin: 0.2em;
}
 
h1 {
 font-family: Comic Sans MS;
 }
 
function editerPremierParagraphe() {
  var modif = document.getElementById("ca-edit").getElementsByTagName("a");
  if (modif.length <= 0) return;
  var url = modif[0].href;
  var a = document.getElementById("p-cactions");
  if (a) {
    b = a.getElementsByTagName("ul");
    if(b.length > 0) {
      b[0].innerHTML = b[0].innerHTML
      + '<li><a href="' + url + '&section=0">modifier 1er paragraphe</a></li>';  
    }
  }
}
 
addLoadEvent(editerPremierParagraphe);
 
 
/*
 * Onglet Google
 *
 * Rajoute un onglet vers Google portant sur le titre de la page
 *
 * Auteur : Dake, Hégésippe
 * Dernière révision : 3 novembre 2006
 */
 
function OngletGoogle() {
        var a = document.getElementById("p-cactions");
        if (a)
        {
                var pageName = document.title.replace(" - Wikipédia", "");
                b = a.getElementsByTagName("ul");
 
                if(b.length > 0)
                {
                        b[0].innerHTML = b[0].innerHTML
                                + '<li id="ca-nstab-user"><img src="http://www.google.com/intl/en/logos/Logo_60wht.gif" height="20px">'
                                + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=site%3Afr.wikipedia.org+' + pageName + '&btnG=Search">'
                                + '(fr)</a>'
                                + '<a href="http://www.google.fr/search?num=20&hl=en&safe=off&q=' + pageName + '&btnG=Search">'
                                + '(web)</a>'
                                + '</li>';
                }
        }
}
addOnloadHook(OngletGoogle);
//
 
 
obtenir("EditZeroth");

Content Disclaimer

Informasi ini disarikan dari Wikipedia dan disajikan kembali untuk tujuan edukasi. Konten tersedia di bawah lisensi CC BY-SA 3.0. Kami tidak bertanggung jawab atas ketidakakuratan data yang bersumber dari kontribusi publik tersebut.

  1. The information displayed on this website is sourced in part or in whole from Wikipedia and has been adapted for the purpose of restating it. We strive to provide accurate and relevant information, however:
  2. There is no guarantee of absolute accuracy. Wikipedia is an open, collaborative project that can be edited by anyone, so information is subject to change.
  3. It is not intended to constitute professional advice. The content displayed is for informational and educational purposes only. For important decisions (e.g., medical, legal, or financial), please consult a professional.
  4. Content copyright. Wikipedia is licensed under the Creative Commons Attribution-ShareAlike License (CC BY-SA). This means that content may be reused with appropriate attribution and shared under a similar license.
  5. Responsible use. Any risk arising from the use of information from this website is entirely the responsibility of the user.